%define	name	eweather
%define version 20101225
%define release %mkrel 2

%define major 1
%define libname %mklibname eweather %major
%define libnamedev %mklibname eweather -d

Summary: Enlightenment weather/forecasts module
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: LGPLv2+
Group: Graphical desktop/Enlightenment
URL: http://www.enlightenment.org/
Source:	%{name}-%{version}.tar.xz
Patch0: eweather-0.2.0-linkage.patch
BuildRoot: %{_tmppath}/%{name}-buildroot
# Common
BuildRequires: gettext-devel
# Enlightenment BR
BuildRequires:	eina-devel
BuildRequires: 	eet-devel
BuildRequires:  evas-devel
BuildRequires:	ecore-devel
BuildRequires:	efreet-devel
BuildRequires:	embryo-devel
BuildRequires:	edje-devel
BuildRequires:	emotion-devel
BuildRequires:	e_dbus-devel

%description
Enlightenment weather/forecasts module.

%package devel
Summary: Headers and development libraries from %{name}
Group: Graphical desktop/Enlightenment
Requires: %name = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description devel
%{name} development headers and libraries

%prep
%setup -q -n %name-%version
%patch0 -p0

%build
./autogen.sh
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/eweather_test
%{_libdir}/eweather
%{_datadir}/eweather
%{_datadir}/default/images/*.png
%{_datadir}/simple/images/*.png
%{_libdir}/*.so.0
%{_libdir}/*.so.0.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_libdir}/*.la


%changelog
* Sat Feb 26 2011 Texstar <texstar at gmail.com> 20111225-2pclos2011
- rebuild

* Sat Dec 25 2010 Texstar <texstar at gmail.com> 20101225-1pclos2010
- update svn

* Wed Dec 15 2010 Texstar <texstar at gmail.com> 20101215-1pclos2010
- update svn 55246


